import { AngularFireLiteApp } from '../core.service';
import { Observable, Subject } from 'rxjs';
import { FirebaseMessaging } from '@firebase/messaging-types';
import 'firebase/messaging';
export declare class AngularFireLiteMessaging {
    private app;
    private platformId;
    private readonly messaging;
    private readonly browser;
    constructor(app: AngularFireLiteApp, platformId: Object);
    instance(): FirebaseMessaging;
    token(): Observable<any>;
    tokenRefresh(): Subject<any>;
    requestPermission(): Observable<any>;
    deleteToken(token: string): Observable<any>;
}
